Package com.documentum.fc.common

# Interface IDfAttr

public interface IDfAttr
This interface provides access to the following information about attributes: name, length, type and whether an attribute is repeating.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DM_BOOLEAN`
  The boolean datatype.
  `static final int`
  `DM_DOUBLE`
  The double datatype.
  `static final int`
  `DM_ID`
  The object ID datatype.
  `static final int`
  `DM_INTEGER`
  The integer datatype.
  `static final int`
  `DM_STRING`
  The string datatype.
  `static final int`
  `DM_TIME`
  The time, or date, datatype.
  `static final int`
  `DM_UNDEFINED`
  The undefined datatype.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAllowedLength(String value)`
  Retrieves the number of characters that will fit in the attribute for a given string.
  `int`
  `getDataType()`
  Retrieves the datatype of an attribute.
  `String`
  `getId()`
  `int`
  `getLength()`
  Retrieves the maximum number of bytes in a string attribute.
  `String`
  `getName()`
  Retrieves the name of an attribute.
  `boolean`
  `isQualifiable()`
  `boolean`
  `isRepeating()`
  Indicates whether an attribute is repeating.

- ## Field Details

  - ### DM_BOOLEAN

    static final int DM_BOOLEAN
    The boolean datatype.
    See Also:
      - Constant Field Values

  - ### DM_INTEGER

    static final int DM_INTEGER
    The integer datatype.
    See Also:
      - Constant Field Values

  - ### DM_STRING

    static final int DM_STRING
    The string datatype.
    See Also:
      - Constant Field Values

  - ### DM_ID

    static final int DM_ID
    The object ID datatype.
    See Also:
      - Constant Field Values

  - ### DM_TIME

    static final int DM_TIME
    The time, or date, datatype.
    See Also:
      - Constant Field Values

  - ### DM_DOUBLE

    static final int DM_DOUBLE
    The double datatype.
    See Also:
      - Constant Field Values

  - ### DM_UNDEFINED

    static final int DM_UNDEFINED
    The undefined datatype.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getLength

    int getLength()
    Retrieves the maximum number of bytes in a string attribute.
    Returns:
      the maximum number of bytes in a string attribute. 0 is returned for all non-string attributes.

  - ### getName

    String getName()
    Retrieves the name of an attribute.
    Returns:
      the name of the attribute

  - ### getDataType

    int getDataType()
    Retrieves the datatype of an attribute.

    The following list specifies the dataype corresponding to all return values.

         Value    Datatype
         0        Boolean
         1        Integer
         2        String
         3        ID
         4        Time, or date
         5        Double
         6        Undefined

    Note: This method can return unexpected values. The datatype it returns for an attribute that is part of a query collection is the type that Content Server returns. This may differ from the datatype that the IDfSysObject interface specifies for that attribute. The type returned may vary with the server’s underlying relational database. Workaround: Structure your application in such a way that you do not need to invoke this method.
    Returns:
      an integer representing the datatype of the attribute. The possible return values are DM_BOOLEAN, DM_INTEGER, DM_STRING, DM_ID, DM_TIME, DM_DOUBLE, and DM_UNDFINED.

  - ### isRepeating

    boolean isRepeating()
    Indicates whether an attribute is repeating.
    Returns:
      TRUE if the attribute is repeating; FALSE if it is not.

  - ### getAllowedLength

    int getAllowedLength(String value)
    Retrieves the number of characters that will fit in the attribute for a given string.
    Parameters:
      `value` - specifies the string for evaluation. The value could not be a null.
    Returns:
      value indicates the position in the string that truncation would occur.
    Since:
      5.2

  - ### getId

    String getId()

  - ### isQualifiable

    boolean isQualifiable()